View Issue Details

IDProjectCategoryView StatusLast Update
0018559LazarusPackagespublic2011-12-01 11:26
ReporterxmenAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformlinuxOSubuntu OS Version10.10
Product VersionProduct Build16791 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0018559: Create new application "Custom CGI Application" compile error
Descriptionprogram cgiproject1;

{$mode objfpc}{$H+}

uses
  Classes,SysUtils,httpDefs,custcgi;

Type
  TCGIApp = Class(TCustomCGIApplication)
  Public
    Procedure HandleRequest(ARequest : Trequest; AResponse : TResponse); override;
  end;

Procedure TCGIApp.HandleRequest(ARequest : Trequest; AResponse : TResponse);

begin
  // Your code here
end;

{$R *.res}

begin
  With TCGIApp.Create(Nil) do
    try
      Initialize;
      Run;
    finally
      Free;
    end;
end.


cgiproject1.lpr(11,15) Error: There is no method in an ancestor class to be overridden: "TCGIApp.HandleRequest(TRequest,TResponse);"
TagsNo tags attached.
Fixed in Revision30322
LazTarget0.99.0
Widgetset
Attached Files

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2011-01-19 21:11 xmen New Issue
2011-01-19 22:04 Jonas Maebe Project FPC => Lazarus
2011-01-20 10:08 Paul Ishenin Status new => assigned
2011-01-20 10:08 Paul Ishenin Assigned To => Michael Van Canneyt
2011-04-28 18:50 Michael Van Canneyt Fixed in Revision => 30322
2011-04-28 18:50 Michael Van Canneyt LazTarget => 0.99.0
2011-04-28 18:50 Michael Van Canneyt Status assigned => resolved
2011-04-28 18:50 Michael Van Canneyt Fixed in Version => 0.9.31 (SVN)
2011-04-28 18:50 Michael Van Canneyt Resolution open => fixed
2011-04-28 18:50 Michael Van Canneyt Target Version => 0.99.0
2011-12-01 11:26 Marc Weustink Status resolved => closed